<template>
  <div class="navbar-container d-flex content align-items-center">

    <!-- Nav Menu Toggler -->
    <ul class="nav navbar-nav d-xl-none">
      <li class="nav-item">
        <b-link
          class="nav-link"
          @click="toggleVerticalMenuActive"
        >
          <FeatherIcon
            icon="MenuIcon"
            size="21"
          />
        </b-link>
      </li>
    </ul>
    
    <header-title/>
    <b-navbar-nav class="nav align-items-center ml-auto">
      <notification-dropdown />
      <user-dropdown />
    </b-navbar-nav>
  </div>
</template>

<script>
import {
  BLink, BNavbarNav,
} from 'bootstrap-vue'
import Locale from './components/Locale.vue'
import DarkToggler from './components/DarkToggler.vue'
import CartDropdown from './components/CartDropdown.vue'
import NotificationDropdown from './components/NotificationDropdown.vue'
import UserDropdown from './components/UserDropdown.vue'
import HeaderTitle from './components/HeaderTitle.vue'
import FeatherIcon from '@/@core/components/feather-icon/FeatherIcon.vue'

export default {
  components: {
    BLink,
    FeatherIcon,
    // Navbar Components
    BNavbarNav,
    Locale,
    DarkToggler,
    CartDropdown,
    NotificationDropdown,
    UserDropdown,
    HeaderTitle
  },
  props: {
    toggleVerticalMenuActive: {
      type: Function,
      default: () => {},
    },
    navMenuItems : {
      type: Array,
      required: true,
    }
  },
}
</script>
